Skip to main content
`Ctrl`+`K`

# DMSetLabelValue

Add a point to a `DMLabel` with given value

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetLabelValue(DM dm, const char name[], PetscInt point, PetscInt value)

Not Collective

## Input Parameters

- dm - The `DM` object

- name - The label name

- point - The mesh point

- value - The label value for this point

## Output Parameter

## See Also

DM Basics, `DM`, `DMLabelSetValue()`, `DMGetStratumIS()`, `DMClearLabelValue()`

## Level

beginner

## Location

src/dm/interface/dm.c

## Examples

src/ts/tutorials/ex11_sa.c
src/snes/tutorials/ex56.c
src/snes/tutorials/ex77.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages